Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class JBossPortletMetaData

    java.lang.Object
      org.jboss.portal.portlet.deployment.jboss.metadata.JBossPortletMetaData
          org.jboss.portal.core.metadata.portlet.JBossPortletMetaData

All Implemented Interfaces:
  java.lang.Cloneable

    public class JBossPortletMetaData

extends JBossPortletMetaData

Version:
  $Revision: 10228 $
Author:
  Julien Viet

Constructor Summary
`JBossPortletMetaData()`

Method Summary
`AjaxMetaData` | `getAjax()`
`HeaderContentMetaData` | `getHeaderContent()`
`PortletInfoMetaData` | `getPortletInfo()`
`void` | `merge(JBossPortletMetaData portlet)` Merge the current meta data with a specified one.
`void` | `setAjax(AjaxMetaData ajax)`
`void` | `setHeaderContent(HeaderContentMetaData headerContent)`
`void` | `setPortletInfo(PortletInfoMetaData portletInfo)`

Methods inherited from class org.jboss.portal.portlet.deployment.jboss.metadata.JBossPortletMetaData
`clone, getCacheRefType, getDistributed, getName, getRemotable, getSecurityConstraint, getTxType, merge, setCacheRefType, setDistributed, setName, setRemotable, setSecurityConstraint, setTxType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossPortletMetaData

    public JBossPortletMetaData()

Method Detail

### getHeaderContent

    public HeaderContentMetaData getHeaderContent()

### setHeaderContent

    public void setHeaderContent(HeaderContentMetaData headerContent)

### getAjax

    public AjaxMetaData getAjax()

### setAjax

    public void setAjax(AjaxMetaData ajax)

### getPortletInfo

    public PortletInfoMetaData getPortletInfo()

### setPortletInfo

    public void setPortletInfo(PortletInfoMetaData portletInfo)

### merge

    public void merge(JBossPortletMetaData portlet)

  Description copied from class: `JBossPortletMetaData`
  Merge the current meta data with a specified one.

  Overrides:
    `merge` in class `JBossPortletMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD